Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.bindings
Class ValidateBindingFactory

    java.lang.Object
      org.apache.tapestry5.internal.bindings.ValidateBindingFactory

All Implemented Interfaces:
  BindingFactory

    public class ValidateBindingFactory

extends java.lang.Object
implements BindingFactory

Factory for bindings that provide a `FieldValidator` based on a validator specification. This binding factory is only useable with components that implement the `Field` interface.

Constructor Summary
`ValidateBindingFactory(FieldValidatorSource fieldValidatorSource, StringInterner interner)`

Method Summary
`Binding` | `newBinding(java.lang.String description, ComponentResources container, ComponentResources component, java.lang.String expression, Location location)` Creates a new binding instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateBindingFactory

    public ValidateBindingFactory(FieldValidatorSource fieldValidatorSource,
                                  StringInterner interner)

Method Detail

### newBinding

    public Binding newBinding(java.lang.String description,
                              ComponentResources container,
                              ComponentResources component,
                              java.lang.String expression,
                              Location location)

  Description copied from interface: `BindingFactory`
  Creates a new binding instance.

  The binding represents a connection between the container and the component (the component is usually the child of the component, though in a few cases, it is the component itself). In most cases, the expression is evaluated in terms of the resources of the container and the component is ignored.

  Specified by:
    `newBinding` in interface `BindingFactory`
  Parameters:
    `description` - of the binding, such as, "parameter foo"
    `container` - the component, as represented by its resources, for which a binding is to be created.
    `component` - the component whose parameter is to be bound by the resulting binding (rarely used)
    `location` - from which the binding was generate, or null if not known
  Returns:
    the new binding instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.